Skip to main content
GET
/
email
/
threads
List Threads
curl --request GET \
  --url https://api.decodahealth.com/email/threads \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
import requests

url = "https://api.decodahealth.com/email/threads"

headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};

fetch('https://api.decodahealth.com/email/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "subject": "<string>",
      "snippet": "<string>",
      "isRead": true,
      "isStarred": true,
      "isArchived": true,
      "firstMessageDate": "2023-11-07T05:31:56Z",
      "lastMessageDate": "2023-11-07T05:31:56Z",
      "createdDate": "2023-11-07T05:31:56Z",
      "updatedDate": "2023-11-07T05:31:56Z",
      "messageCount": 0,
      "fromContact": {
        "id": "<string>",
        "email": "<string>",
        "displayName": "<string>",
        "contactType": "EXTERNAL",
        "patientIds": []
      },
      "toContacts": []
    }
  ],
  "total": 123,
  "nextCursor": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

folder
enum<string>
default:INBOX

Virtual folder to filter by

Available options:
INBOX,
SENT,
DRAFTS,
STARRED,
ARCHIVED,
ALL
per_page
integer
default:50
Required range: 1 <= x <= 100
cursor
string | null

Cursor for pagination

search
string | null

Search in subject and snippet

before_date
string<date-time> | null
after_date
string<date-time> | null
include_all_system_emails
boolean
default:false

Include all system emails (requires messaging:emails:read_all permission)

Response

Successful Response

data
EmailThreadListItem · object[]
required
total
integer
required
nextCursor
string | null